Project

General

Profile

Bug #1888

Upgrade ISC dhcpd to v4.2.2

Added by Dim Hatz over 4 years ago. Updated over 4 years ago.

Status:
Resolved
Priority:
High
Assignee:
-
Category:
DHCP Server
Target version:
Start date:
09/19/2011
Due date:
% Done:

0%

Affected version:
2.0
Affected Architecture:
All

Description

ISC dhcpd v4.2.1-p1 shipped with pfsense 2.0 suffers from recently published denial-of-service vulnerability CVE-2011-2748 http://www.isc.org/software/dhcp/advisories/cve-2011-2748

Associated revisions

Revision 8a0b106b
Added by Jim Pingle over 7 years ago

Try this again from the right branch: Fix log display for WebGUI. See ticket #1888

History

#1 Updated by Seth Mos over 4 years ago

  • Priority changed from Normal to High
  • Affected Architecture set to All

I found the issue, we did update a ISC bind port, but not the one we were actually building with.

Correcting mistake.

#2 Updated by Dim Hatz over 4 years ago

ISC DHCP 4.2.3 was released on 19 Oct 2011

http://www.isc.org/software/dhcp

#3 Updated by Chris Buechler over 4 years ago

  • Status changed from New to Feedback

updated to 4.2.3

#4 Updated by Chris Buechler over 4 years ago

  • Status changed from Feedback to Resolved

Also available in: Atom PDF